GeminiGemini
SandboxGet API key
  • Crypto Trading
  • Prediction Markets
Changelog
Gemini Crypto Exchange LogoGemini Crypto Exchange Logo

© 2026 Gemini Space Station, Inc.

Get Margin Account Summary

REST APIsTradingMargin TradingGet Margin Account Summary

Get Margin Account Summary

POSThttps://api.gemini.com/v1/margin/account

Retrieves comprehensive margin account information including collateral, leverage, buying/selling power, and liquidation risk.

Account Type

This endpoint is only available for margin trading accounts. Standard exchange accounts will receive an error.

POSTv1/margin/account
curl --request POST \
  --url https://api.gemini.com/v1/margin/account \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/margin/account",
  "nonce": "<nonce>"
}
'

Roles

The API key you use to access this endpoint must have the Trader, Fund Manager or Auditor role assigned. See Roles for more information.

The OAuth scope must have balances:read assigned to access this endpoint. See OAuth Scopes for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

requeststring·required
The literal string "/v1/margin/account"
nonceinteger·required
timestampExample: 1495127793000
accountstring
Required for Master API keys as described in [Private API Invocation](/authentication/api-key#private-api-invocation). The name of the account within the subaccount group.
Example request body
{
  "request": "/v1/margin/account",
  "nonce": "<nonce>"
}

Responses

Margin account summary with risk statistics

marginAssetValueobject·required
marginAssetValue.currencystring·required
The currency code (e.g., "USD", "BTC", "ETH")Example: USD
marginAssetValue.valuestring (decimal)·required
The amount in the specified currencyExample: 10000.00
availableCollateralobject·required
availableCollateral.currencystring·required
The currency code (e.g., "USD", "BTC", "ETH")Example: USD
availableCollateral.valuestring (decimal)·required
The amount in the specified currencyExample: 10000.00
notionalValueobject·required
notionalValue.currencystring·required
The currency code (e.g., "USD", "BTC", "ETH")Example: USD
notionalValue.valuestring (decimal)·required
The amount in the specified currencyExample: 10000.00
totalBorrowedobject·required
totalBorrowed.currencystring·required
The currency code (e.g., "USD", "BTC", "ETH")Example: USD
totalBorrowed.valuestring (decimal)·required
The amount in the specified currencyExample: 10000.00
leveragestring (decimal)·required
The current leverage ratio (notionalValue / marginAssetValue)Example: 1.5
buyingPowerobject·required
buyingPower.currencystring·required
The currency code (e.g., "USD", "BTC", "ETH")Example: USD
buyingPower.valuestring (decimal)·required
The amount in the specified currencyExample: 10000.00
sellingPowerobject·required
sellingPower.currencystring·required
The currency code (e.g., "USD", "BTC", "ETH")Example: USD
sellingPower.valuestring (decimal)·required
The amount in the specified currencyExample: 10000.00
liquidationRiskobject
liquidationRisk.lossPercentagestring (decimal)·required
The percentage loss from current value that would trigger liquidation, formatted as decimal (e.g., "0.1550" = 15.50%)Example: 0.1550
liquidationRisk.liquidationPriceobject
liquidationRisk.liquidationPrice.currencystring·required
The currency code (e.g., "USD", "BTC", "ETH")Example: USD
liquidationRisk.liquidationPrice.valuestring (decimal)·required
The amount in the specified currencyExample: 10000.00
interestRateobject
interestRate.ratestring (decimal)·required
The interest rate as a decimal stringExample: 0.00001141552511
interestRate.intervalstring·enum·required
The time interval for the rate (currently only "hour" is supported)Enum values: hourExample: hour
reservedBuyOrdersobject·required
reservedBuyOrders.currencystring·required
The currency code (e.g., "USD", "BTC", "ETH")Example: USD
reservedBuyOrders.valuestring (decimal)·required
The amount in the specified currencyExample: 10000.00
reservedSellOrdersobject·required
reservedSellOrders.currencystring·required
The currency code (e.g., "USD", "BTC", "ETH")Example: USD
reservedSellOrders.valuestring (decimal)·required
The amount in the specified currencyExample: 10000.00
Example Responses
{
  "marginAssetValue": {
    "currency": "USD",
    "value": "10000.00"
  },
  "availableCollateral": {
    "currency": "USD",
    "value": "8500.00"
  },
  "notionalValue": {
    "currency": "USD",
    "value": "15000.00"
  },
  "totalBorrowed": {
    "currency": "USD",
    "value": "5000.00"
  },
  "leverage": "1.5",
  "buyingPower": {
    "currency": "USD",
    "value": "8500.00"
  },
  "sellingPower": {
    "currency": "USD",
    "value": "8500.00"
  },
  "liquidationRisk": {
    "lossPercentage": "0.1550",
    "liquidationPrice": {
      "currency": "USD",
      "value": "50000.00"
    }
  },
  "interestRate": {
    "rate": "0.00001141552511",
    "interval": "hour"
  },
  "reservedBuyOrders": {
    "currency": "USD",
    "value": "1000.00"
  },
  "reservedSellOrders": {
    "currency": "USD",
    "value": "500.00"
  }
}
PreviousMargin TradingNextClearing
Last modified on May 5, 2026